#
# spec file for package perl-OLE-Storage_Lite
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name OLE-Storage_Lite
Name:           perl-OLE-Storage_Lite
Version:        0.22
Release:        1.7
#Upstream:  Japan. All rights reserved. You may distribute under the terms of either the GNU General Public License or the Artistic License, as specified in the Perl README file.
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Read and write OLE storage files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JM/JMCNAMARA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
OLE::Storage_Lite allows you to read and write an OLE structured file.

OLE::Storage_Lite::PPS is a class representing PPS.
OLE::Storage_Lite::PPS::Root, OLE::Storage_Lite::PPS::File and
OLE::Storage_Lite::PPS::Dir are subclasses of OLE::Storage_Lite::PPS.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Sat Feb 18 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.22
  see /usr/share/doc/packages/perl-OLE-Storage_Lite/Changes
  0.21 Fri Feb 17 2020
    + Fix for Spreadsheet::ParseExcel break due to the previous change in
    v0.20.  https://github.com/jmcnamara/ole-storage-lite/pull/4
  0.20 Wed Feb 15 2020
    + Added performance improvement of 95+ percent on certain complex
    messages. Patch from Todd Richmond.
    https://github.com/jmcnamara/ole-storage-lite/pull/4
* Tue Jan  7 2020 Tina Müller <tina.mueller@suse.com>
- Add manual license to cpanspec.yml.
  Remove patch fix-time-local.patch (Source was fixed)
* Fri Jan  3 2020 <timueller+perl@suse.de>
- updated to 0.20
  see /usr/share/doc/packages/perl-OLE-Storage_Lite/Changes
* Mon Jun 24 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add fix-time-local.patch to make tests pass after 2019
* Thu Jun  9 2011 coolo@novell.com
- fix license
* Mon Jun  6 2011 coolo@novell.com
- updated to 0.19
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
